Your message dated Wed, 06 Jan 2010 10:48:43 +0000
with message-id <e1nstrt-0000bk...@ries.debian.org>
and subject line Bug#563483: fixed in vlc 1.0.4-2
has caused the Debian Bug report #563483,
regarding Upgrade fails because `/usr/lib/vlc/control/libhotkeys_plugin.so` is 
also in vlc-nox 0:1.0.3-1.
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
563483: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=563483
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Subject: Upgrade fails because `/usr/lib/vlc/control/libhotkeys_plugin.so` is 
also in vlc-nox 0:1.0.3-1.
Package: vlc
Version: 1.0.4-1
Severity: important

*** Please type your report below this line ***

Dear Debian hackers,


trying to upgrade vlc vlc-data vlc-nox from 1.0.3-1 to 1.0.4-1 resulted
in the following error.

$ sudo aptitude update; sudo aptitude safe-upgrade
[…]
Entpacke Ersatz für vlc ...
dpkg: Fehler beim Bearbeiten
von /var/cache/apt/archives/vlc_1.0.4-1_i386.deb (--unpack):
 Versuche, »/usr/lib/vlc/control/libhotkeys_plugin.so« zu überschreiben,
welches auch in Paket vlc-nox 0:1.0.3-1 ist
dpkg-deb: Unterprozess paste mit Signal (Datenübergabe unterbrochen
(broken pipe)) getötet
Vorbereiten zum Ersetzen von vlc-nox 1.0.3-1
(durch .../vlc-nox_1.0.4-1_i386.deb) ...
Entpacke Ersatz für vlc-nox ...
[…]
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/vlc_1.0.4-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ein Paket konnte nicht installiert werden. Versuche zu lösen:

        $ LANG=C dpkg -l *vlc* # taken out uninstalled packages
        ii  libvlc2                                 1.0.4-1                     
   multimedia player and streamer library
        ii  libvlccore2                             1.0.4-1                     
   base library for VLC and its modules
        ii  vlc                                     1.0.3-1                     
   multimedia player and streamer
        ii  vlc-data                                1.0.4-1                     
   Common data for VLC
        ii  vlc-nox                                 1.0.4-1                     
   multimedia player and streamer (without X su

Running the upgrade procedure again, works then.

        $ sudo aptitude safe-upgrade
        […]
        
        $ dpkg -l vlc
        ii  vlc            1.0.4-1        multimedia player and streamer

Maybe vlc should conflict and replace with vlc-nox < 1.0.4-1? Although I
have no clue what I am talking about.


Thanks,

Paul


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages vlc depends on:
ii  libaa1                  1.4p5-38         ascii art library
ii  libc6                   2.10.2-3         Embedded GNU C Library: Shared lib
ii  libdbus-1-3             1.2.16-2         simple interprocess messaging syst
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libfribidi0             0.10.9-1+b1      Free Implementation of the Unicode
ii  libgcc1                 1:4.4.2-8        GCC support library
ii  libgl1-mesa-glx [libgl1 7.6.1-1          A free implementation of the OpenG
ii  libglib2.0-0            2.22.3-2         The GLib library of C routines
ii  libgtk2.0-0             2.18.5-1         The GTK+ graphical user interface 
ii  libnotify1 [libnotify1- 0.4.5-1          sends desktop notifications to a n
ii  libqtcore4              4:4.5.3-4        Qt 4 core module
ii  libqtgui4               4:4.5.3-4        Qt 4 GUI module
ii  libsdl-image1.2         1.2.10-1         image loading library for Simple D
ii  libsdl1.2debian         1.2.13-5         Simple DirectMedia Layer
ii  libstdc++6              4.4.2-8          The GNU Standard C++ Library v3
ii  libtar                  1.2.11-6         C library for manipulating tar arc
ii  libvlccore2             1.0.4-1          base library for VLC and its modul
ii  libx11-6                2:1.3.2-1        X11 client-side library
ii  libxext6                2:1.0.4-1        X11 miscellaneous extension librar
ii  libxinerama1            2:1.0.3-2        X11 Xinerama extension library
ii  libxv1                  2:1.0.5-1        X11 Video extension library
ii  libxxf86vm1             1:1.0.2-1        X11 XFree86 video mode extension l
ii  ttf-dejavu-core         2.30-2           Vera font family derivate with add
ii  vlc-nox                 1.0.4-1          multimedia player and streamer (wi
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

vlc recommends no packages.

Versions of packages vlc suggests:
pn  mozilla-plugin-vlc            <none>     (no description available)
pn  videolan-doc                  <none>     (no description available)

Versions of packages vlc-nox depends on:
ii  liba52-0.7.4      0.7.4-13               library for decoding ATSC A/52 str
ii  libasound2        1.0.21a-1              shared library for ALSA applicatio
ii  libass4           0.9.8-1                library for SSA/ASS subtitles rend
ii  libavahi-client3  0.6.25-2               Avahi client library
ii  libavahi-common3  0.6.25-2               Avahi common library
ii  libavc1394-0      0.5.3-1+b2             control IEEE 1394 audio/video devi
ii  libavcodec52      5:0.5+svn20091224-0.0  library to encode decode multimedi
ii  libavformat52     5:0.5+svn20091224-0.0  ffmpeg file format library
ii  libavutil49       4:0.5+svn20090706-2+b1 ffmpeg utility library
ii  libc6             2.10.2-3               Embedded GNU C Library: Shared lib
ii  libcaca0          0.99.beta16-3          colour ASCII art library
ii  libcddb2          1.2.1-1                library to access CDDB data - runt
ii  libcdio10         0.81-4                 library to read and control CD-ROM
ii  libdbus-1-3       1.2.16-2               simple interprocess messaging syst
ii  libdca0           0.0.5-3                decoding library for DTS Coherent 
ii  libdvbpsi5        0.1.6-1                library for MPEG TS and DVB PSI ta
ii  libdvdnav4        4.1.3-6                DVD navigation library
ii  libdvdread4       4.1.3-7                library for reading DVDs
ii  libebml0          0.7.7-3.1              access library for the EBML format
ii  libfaad2          2.7-4                  freeware Advanced Audio Decoder - 
ii  libflac8          1.2.1-2+b1             Free Lossless Audio Codec - runtim
ii  libfontconfig1    2.8.0-2                generic font configuration library
ii  libfreetype6      2.3.11-1               FreeType 2 font engine, shared lib
ii  libfribidi0       0.10.9-1+b1            Free Implementation of the Unicode
ii  libgcc1           1:4.4.2-8              GCC support library
ii  libgcrypt11       1.4.5-1                LGPL Crypto library - runtime libr
ii  libgnutls26       2.8.5-2                the GNU TLS library - runtime libr
ii  libgpg-error0     1.6-1                  library for common error values an
ii  libhal1           0.5.14-1               Hardware Abstraction Layer - share
ii  liblircclient0    0.8.3-5                infra-red remote control support -
ii  liblua5.1-0       5.1.4-5                Simple, extensible, embeddable pro
ii  libmad0           0.15.1b-4              MPEG audio decoder library
ii  libmatroska0      0.8.1-1.1              extensible open standard audio/vid
ii  libmodplug0c2     1:0.8.7-1              shared libraries for mod music bas
ii  libmpcdec6        2:0.1~r453-1           MusePack decoder - library
ii  libmpeg2-4        0.4.1-3                MPEG1 and MPEG2 video decoder libr
ii  libncursesw5      5.7+20090803-2         shared libraries for terminal hand
ii  libogg0           1.1.4~dfsg-2           Ogg bitstream library
ii  libpng12-0        1.2.41-1               PNG library - runtime
ii  libpostproc51     5:0.5+svn20091224-0.0  postproc shared libraries
ii  libraw1394-11     2.0.4-1                library for direct access to IEEE 
ii  libschroedinger-1 1.0.8-2                library for encoding/decoding of D
ii  libshout3         2.2.2-5+b1             MP3/Ogg Vorbis broadcast streaming
ii  libsmbclient      2:3.4.3-2              shared library for communication w
ii  libspeex1         1.2~rc1-1              The Speex codec runtime library
ii  libstdc++6        4.4.2-8                The GNU Standard C++ Library v3
ii  libswscale0       5:0.5+svn20091224-0.0  ffmpeg video scaling library
ii  libsysfs2         2.1.0-6                interface library to sysfs
ii  libtag1c2a        1.6.1-1                TagLib Audio Meta-Data Library
ii  libtheora0        1.1.1+dfsg.1-3         The Theora Video Compression Codec
ii  libtwolame0       0.3.12-1               MPEG Audio Layer 2 encoding librar
ii  libudev0          149-2                  libudev shared library
ii  libupnp3          1:1.6.6-3              Portable SDK for UPnP Devices (sha
ii  libv4l-0          0.6.3-1                Collection of video4linux support 
ii  libvcdinfo0       0.7.23-4+b2            library to extract information fro
ii  libvlc2           1.0.4-1                multimedia player and streamer lib
ii  libvlccore2       1.0.4-1                base library for VLC and its modul
ii  libvorbis0a       1.2.3-3                The Vorbis General Audio Compressi
ii  libvorbisenc2     1.2.3-3                The Vorbis General Audio Compressi
ii  libxml2           2.7.6.dfsg-1           GNOME XML library
ii  zlib1g            1:1.2.3.4.dfsg-3       compression library - runtime

Versions of packages libvlc2 depends on:
ii  libc6                         2.10.2-3   Embedded GNU C Library: Shared lib
ii  libvlccore2                   1.0.4-1    base library for VLC and its modul

Versions of packages libvlccore0 depends on:
ii  libc6                         2.10.2-3   Embedded GNU C Library: Shared lib
ii  libdbus-1-3                   1.2.16-2   simple interprocess messaging syst
ii  libhal1                       0.5.14-1   Hardware Abstraction Layer - share
ii  vlc-data                      1.0.4-1    Common data for VLC

Versions of packages libavutil50 depends on:
ii  libc6                         2.10.2-3   Embedded GNU C Library: Shared lib

-- no debconf information

Attachment: signature.asc
Description: Dies ist ein digital signierter Nachrichtenteil


--- End Message ---
--- Begin Message ---
Source: vlc
Source-Version: 1.0.4-2

We believe that the bug you reported is fixed in the latest version of
vlc, which is due to be installed in the Debian FTP archive:

libvlc-dev_1.0.4-2_i386.deb
  to main/v/vlc/libvlc-dev_1.0.4-2_i386.deb
libvlc2_1.0.4-2_i386.deb
  to main/v/vlc/libvlc2_1.0.4-2_i386.deb
libvlccore-dev_1.0.4-2_i386.deb
  to main/v/vlc/libvlccore-dev_1.0.4-2_i386.deb
libvlccore2_1.0.4-2_i386.deb
  to main/v/vlc/libvlccore2_1.0.4-2_i386.deb
mozilla-plugin-vlc_1.0.4-2_i386.deb
  to main/v/vlc/mozilla-plugin-vlc_1.0.4-2_i386.deb
vlc-data_1.0.4-2_all.deb
  to main/v/vlc/vlc-data_1.0.4-2_all.deb
vlc-dbg_1.0.4-2_i386.deb
  to main/v/vlc/vlc-dbg_1.0.4-2_i386.deb
vlc-nox_1.0.4-2_i386.deb
  to main/v/vlc/vlc-nox_1.0.4-2_i386.deb
vlc-plugin-ggi_1.0.4-2_i386.deb
  to main/v/vlc/vlc-plugin-ggi_1.0.4-2_i386.deb
vlc-plugin-jack_1.0.4-2_i386.deb
  to main/v/vlc/vlc-plugin-jack_1.0.4-2_i386.deb
vlc-plugin-pulse_1.0.4-2_i386.deb
  to main/v/vlc/vlc-plugin-pulse_1.0.4-2_i386.deb
vlc-plugin-sdl_1.0.4-2_i386.deb
  to main/v/vlc/vlc-plugin-sdl_1.0.4-2_i386.deb
vlc-plugin-svg_1.0.4-2_i386.deb
  to main/v/vlc/vlc-plugin-svg_1.0.4-2_i386.deb
vlc-plugin-svgalib_1.0.4-2_i386.deb
  to main/v/vlc/vlc-plugin-svgalib_1.0.4-2_i386.deb
vlc_1.0.4-2.diff.gz
  to main/v/vlc/vlc_1.0.4-2.diff.gz
vlc_1.0.4-2.dsc
  to main/v/vlc/vlc_1.0.4-2.dsc
vlc_1.0.4-2_i386.deb
  to main/v/vlc/vlc_1.0.4-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christophe Mutricy <xto...@videolan.org> (supplier of updated vlc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Jan 2010 23:31:56 +0100
Source: vlc
Binary: vlc vlc-dbg vlc-nox libvlccore2 libvlc2 libvlccore-dev libvlc-dev 
vlc-plugin-sdl vlc-plugin-ggi mozilla-plugin-vlc vlc-plugin-svgalib 
vlc-plugin-jack vlc-plugin-pulse vlc-plugin-svg vlc-data
Architecture: source all i386
Version: 1.0.4-2
Distribution: unstable
Urgency: low
Maintainer: Debian multimedia packages maintainers 
<pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Christophe Mutricy <xto...@videolan.org>
Description: 
 libvlc-dev - development files for libvlc
 libvlc2    - multimedia player and streamer library
 libvlccore-dev - development files for libvlccore
 libvlccore2 - base library for VLC and its modules
 mozilla-plugin-vlc - multimedia plugin for web browsers based on VLC
 vlc        - multimedia player and streamer
 vlc-data   - Common data for VLC
 vlc-dbg    - debugging symbols for vlc
 vlc-nox    - multimedia player and streamer (without X support)
 vlc-plugin-ggi - GGI video output plugin for VLC
 vlc-plugin-jack - Jack audio plugins for VLC
 vlc-plugin-pulse - PulseAudio plugin for VLC
 vlc-plugin-sdl - SDL video and audio output plugin for VLC
 vlc-plugin-svg - SVG plugin for VLC
 vlc-plugin-svgalib - SVGAlib video output plugin for VLC
Closes: 532339 563476 563477 563483
Changes: 
 vlc (1.0.4-2) unstable; urgency=low
 .
   * Report libavutil50 presence the correct way
   * Move back hotkeys to vlc-nox (Closes: #563477)
   * Fix Replaces/Conflicts version so that upgrade work (Closes:
     #563476, #563483)
   * Add patch taken from upstream to fix jack input with jack2 (Closes:
     #532339) - thanks to Adrian Knoth
   * Disable access_dv on non-Linux archs
Checksums-Sha1: 
 b2fef24428cfad5390a77d23db7d77744499539a 3379 vlc_1.0.4-2.dsc
 6ae886c98c43b527cc15a9acc89b7a0e1289ae7d 63365 vlc_1.0.4-2.diff.gz
 444e647cf25b1f0be7e939903ba7f847d38768d3 6937690 vlc-data_1.0.4-2_all.deb
 2cefb622acf2653d310c8727f3d250f5f0afe3d7 1629760 vlc_1.0.4-2_i386.deb
 37d1e7e7ebcb917fbd3993bd3eef91a87739e221 12064600 vlc-dbg_1.0.4-2_i386.deb
 22f0dad84746df1f25da13e46a351e5952f43b1d 2803150 vlc-nox_1.0.4-2_i386.deb
 7f233c6a15bf5db86a0478952ef9a1664c9e367f 408382 libvlccore2_1.0.4-2_i386.deb
 35997fe6a3ac2c43edafd3e69469487fd0271c0c 51288 libvlc2_1.0.4-2_i386.deb
 66d5354983c3dc81eb1f2ea356686f2b0acdf2a0 553964 libvlccore-dev_1.0.4-2_i386.deb
 fd578e126be266f11cb02c0e065f252bcf11feb6 69592 libvlc-dev_1.0.4-2_i386.deb
 0cc116c31ca722711dd1feb81170ee28df7fc089 11460 vlc-plugin-sdl_1.0.4-2_i386.deb
 a237ee669d680e15005233a2043837e036028f80 6100 vlc-plugin-ggi_1.0.4-2_i386.deb
 1106b90561fbf762afca60d871bd87332a0ab37f 34364 
mozilla-plugin-vlc_1.0.4-2_i386.deb
 c4c504736474e96b05df3d574407e214cc9a8476 4756 
vlc-plugin-svgalib_1.0.4-2_i386.deb
 0e8c92c806649d96e74a02394d9eb151920a18ab 10982 vlc-plugin-jack_1.0.4-2_i386.deb
 8193bfa5df0954e619468e73211066161286d112 7010 vlc-plugin-pulse_1.0.4-2_i386.deb
 3c2505e6c17d5a869601cc987ff6824ca825cb73 7472 vlc-plugin-svg_1.0.4-2_i386.deb
Checksums-Sha256: 
 251a628affc3d8b4e4c12a76657ae1e6c3c39f929096072b9c8ca0d8cbd96d3c 3379 
vlc_1.0.4-2.dsc
 f4362ce9d3e7b8783af07d5e8958c1a1fe90ad50c8e4b8d1fe559337c76b6d13 63365 
vlc_1.0.4-2.diff.gz
 145f91c519634a6ff44010a826d43861ff07b790f41dd9adf83c7fc86f71513d 6937690 
vlc-data_1.0.4-2_all.deb
 9002f19843e862bb33ba69115a219b392ca5b4af0cbf82ddb940db9d98a25d7f 1629760 
vlc_1.0.4-2_i386.deb
 0b83b9b1a797328e6e362790dd31f03a8943daebf16ddd69febba92ad9f135db 12064600 
vlc-dbg_1.0.4-2_i386.deb
 8df9a1684cad281898176f52da7a51cff0610cf64a033117def4f16cab109018 2803150 
vlc-nox_1.0.4-2_i386.deb
 f38e8b857a9b5efe3128634a902f349c2ba6531d434aaa94b43e4d52b9d25563 408382 
libvlccore2_1.0.4-2_i386.deb
 e1e654cf22d27feaf8782ac853f2a7966f8e15e82ba31f1292bf4eab80a1e226 51288 
libvlc2_1.0.4-2_i386.deb
 bd45f12f7f8177d1989211f1bf35a092c55c3a03841f53858c45c7535b3ff2b8 553964 
libvlccore-dev_1.0.4-2_i386.deb
 520d0495ba7e283580a402e633cb812f1d12fb3818bd4bce6d2896402e954f48 69592 
libvlc-dev_1.0.4-2_i386.deb
 930c4e087d5b5808076d9b8c130dbd53fbd0f4c8eab75c33fe029ec0d56fb57d 11460 
vlc-plugin-sdl_1.0.4-2_i386.deb
 07c115176e05b32d93d62ad7b26cb11402ff6625277349363aa2432517f76198 6100 
vlc-plugin-ggi_1.0.4-2_i386.deb
 d340f61e7ae1a32729a43ca4d39eb2c9cf7a2022d70596d3bcaa03eb3e7f020d 34364 
mozilla-plugin-vlc_1.0.4-2_i386.deb
 69da25aeabaf6699ffc93e8f0f4a23851e77df38cea228ca6012ec98359f8a38 4756 
vlc-plugin-svgalib_1.0.4-2_i386.deb
 2b0a8be929460a9ef694bbb2a9f992163cec893fa075d07e54254c342244b928 10982 
vlc-plugin-jack_1.0.4-2_i386.deb
 d0ff65459810450b416f0baf44a822b50715f7f6354074068168b2cb5addd33f 7010 
vlc-plugin-pulse_1.0.4-2_i386.deb
 0c9a5ae164eedff55dcd2ce9320078fec09751cc2f90322768355237535f0be9 7472 
vlc-plugin-svg_1.0.4-2_i386.deb
Files: 
 064cd3e674bb7a740150dc0f79ac0ed8 3379 video optional vlc_1.0.4-2.dsc
 b2b7a788957238118696db05d6e06987 63365 video optional vlc_1.0.4-2.diff.gz
 25877fda180f577d31bc9e45a1d5c7b8 6937690 video optional 
vlc-data_1.0.4-2_all.deb
 8c013bc8636755d74573b24c7fb1cc09 1629760 video optional vlc_1.0.4-2_i386.deb
 f6699405bb426640cbafa135553a8587 12064600 debug extra vlc-dbg_1.0.4-2_i386.deb
 6460268713087592a9b810673201ee82 2803150 video optional 
vlc-nox_1.0.4-2_i386.deb
 fde4f1833c523235e2fbca9f41c764f7 408382 libs optional 
libvlccore2_1.0.4-2_i386.deb
 00ed92d219100b472e9ff5f9b26d9da6 51288 libs optional libvlc2_1.0.4-2_i386.deb
 9e635e6593a6911450e768708c339075 553964 libdevel optional 
libvlccore-dev_1.0.4-2_i386.deb
 c11f83acb3785e6b1462dc9a0f8f1b19 69592 libdevel optional 
libvlc-dev_1.0.4-2_i386.deb
 2acd1bbb310dc0465ba159443093e482 11460 video optional 
vlc-plugin-sdl_1.0.4-2_i386.deb
 3968f601ca9f130ff611015dc9b52c1f 6100 video optional 
vlc-plugin-ggi_1.0.4-2_i386.deb
 b9f13209e04c3acb734c81ab396899f8 34364 video optional 
mozilla-plugin-vlc_1.0.4-2_i386.deb
 9806c06a91e66606d54d5759f3e24529 4756 video optional 
vlc-plugin-svgalib_1.0.4-2_i386.deb
 2bfb8b5512342a5c9ca07a7ad3094049 10982 video optional 
vlc-plugin-jack_1.0.4-2_i386.deb
 df1e8aa0aa1ca625024a3e565e9752fe 7010 video optional 
vlc-plugin-pulse_1.0.4-2_i386.deb
 f64dad662354205f797237046da52465 7472 video optional 
vlc-plugin-svg_1.0.4-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Debian Powered!

iJwEAQECAAYFAktEZWUACgkQ78RAoABp8o+SnAP+KSNgpHXzw9UxW20DFpvKJxp0
CataHIDsFyn09Yk6LFTLLajufy3A9kwWdNkCDafWuU58I5d011hgTNGygsqCYumx
SVIr2mRpNXjyeXF9FcTX0qFVSYu9l4UAmFf7spvack2meqhY8yXoJ63Y/+zsJJaj
Ynf8q8q+m/NmTpIOSLU=
=Z40n
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to